findings.v2
Get finding
Get detailed information about a specific security finding
GET
/
v2
/
repos
/
{repo_id}
/
projects
/
{project_id}
/
findings
/
{finding_id}
Get finding
curl --request GET \
--url https://api.ghostsecurity.ai/v2/repos/{repo_id}/projects/{project_id}/findings/{finding_id} \
--header 'Authorization: Bearer <token>'{
"agent": {
"custom_agent_vector_id": "<string>",
"description": "<string>",
"name": "<string>",
"vector": "<string>"
},
"comments": "<string>",
"created_at": "<string>",
"details": {
"code": "<string>",
"description": "<string>",
"endpoint_locations": [
{
"action": "<string>",
"path": "<string>",
"type": "<string>"
}
],
"exploit_feasibility": "<string>",
"exploit_walkthrough": "<string>",
"fixed_code": "<string>",
"location": {
"class_name": "<string>",
"file_path": "<string>",
"function_signature": "<string>",
"hash": "<string>",
"line_number": 123,
"method_name": "<string>",
"url": "<string>"
},
"remediation": "<string>",
"remediation_effort": "<string>",
"severity": "<string>",
"supporting_files": [
{
"class_name": "<string>",
"file_path": "<string>",
"function_signature": "<string>",
"hash": "<string>",
"line_number": 123,
"method_name": "<string>",
"url": "<string>"
}
],
"title": "<string>",
"validation_evidence": [
{
"criteria": "<string>",
"rationale": "<string>"
}
]
},
"id": "<string>",
"organization_id": "<string>",
"project": {
"context": {
"business_criticality": "<string>",
"deployment": "<string>",
"exposure": "<string>",
"owner": "<string>",
"sensitive_data_types": [
"<string>"
]
},
"id": "<string>",
"name": "<string>",
"purpose": "<string>"
},
"repo": {
"id": "<string>",
"name": "<string>",
"provider": "<string>",
"url": "<string>"
},
"scan_details": {
"analyzed_at": "<string>",
"rejected_at": "<string>",
"scan_id": "<string>",
"verified_at": "<string>"
},
"status": "<string>",
"updated_at": "<string>",
"user_status": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Repository ID
Project ID
Finding ID
Response
OK
Finding Agent details
Show child attributes
Show child attributes
Finding Details
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Repo and project details
Show child attributes
Show child attributes
Scan details
Show child attributes
Show child attributes
Status and timestamps
⌘I
Get finding
curl --request GET \
--url https://api.ghostsecurity.ai/v2/repos/{repo_id}/projects/{project_id}/findings/{finding_id} \
--header 'Authorization: Bearer <token>'{
"agent": {
"custom_agent_vector_id": "<string>",
"description": "<string>",
"name": "<string>",
"vector": "<string>"
},
"comments": "<string>",
"created_at": "<string>",
"details": {
"code": "<string>",
"description": "<string>",
"endpoint_locations": [
{
"action": "<string>",
"path": "<string>",
"type": "<string>"
}
],
"exploit_feasibility": "<string>",
"exploit_walkthrough": "<string>",
"fixed_code": "<string>",
"location": {
"class_name": "<string>",
"file_path": "<string>",
"function_signature": "<string>",
"hash": "<string>",
"line_number": 123,
"method_name": "<string>",
"url": "<string>"
},
"remediation": "<string>",
"remediation_effort": "<string>",
"severity": "<string>",
"supporting_files": [
{
"class_name": "<string>",
"file_path": "<string>",
"function_signature": "<string>",
"hash": "<string>",
"line_number": 123,
"method_name": "<string>",
"url": "<string>"
}
],
"title": "<string>",
"validation_evidence": [
{
"criteria": "<string>",
"rationale": "<string>"
}
]
},
"id": "<string>",
"organization_id": "<string>",
"project": {
"context": {
"business_criticality": "<string>",
"deployment": "<string>",
"exposure": "<string>",
"owner": "<string>",
"sensitive_data_types": [
"<string>"
]
},
"id": "<string>",
"name": "<string>",
"purpose": "<string>"
},
"repo": {
"id": "<string>",
"name": "<string>",
"provider": "<string>",
"url": "<string>"
},
"scan_details": {
"analyzed_at": "<string>",
"rejected_at": "<string>",
"scan_id": "<string>",
"verified_at": "<string>"
},
"status": "<string>",
"updated_at": "<string>",
"user_status": "<string>"
}